Full size versions of updated files fail to update
Closed, ResolvedPublic

Description

Author: saibotrash

Description:
This bug is different to https://bugzilla.wikimedia.org/show_bug.cgi?id=28613 "Thumbnails of updated files fail to purge on squids" as only the thumbs are working.

As reported at
https://commons.wikimedia.org/wiki/Commons:Village_pump#Full_size_.28orig._version.29_of_files_does_not_update_on_upload_of_a_new_version

Tested at [[:File:Unbenanntblafoosmiley.png]] - the new version ([upload.wikimedia.org/wikipedia/commons/1/11/Unbenanntblafoosmiley.png full size]) is not updated to the current new, blue version but shows up correctly [upload.wikimedia.org/wikipedia/commons/thumb/1/11/Unbenanntblafoosmiley.png/300px-Unbenanntblafoosmiley.png as thumb].


Version: 1.18.x
Severity: critical

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz31382.
bzimport created this task.Via LegacyOct 5 2011, 4:27 PM
kaldari added a comment.Via ConduitOct 5 2011, 7:04 PM

Confirming on Commons. Files are not getting updated at either full resolution or thumbnail size.

bzimport added a comment.Via ConduitOct 5 2011, 8:20 PM

saibotrash wrote:

Thumbnail size does update for me: https://upload.wikimedia.org/wikipedia/commons/thumb/1/11/Unbenanntblafoosmiley.png/120px-Unbenanntblafoosmiley.png Just the full version isn't.

Catrope added a comment.Via ConduitOct 5 2011, 8:21 PM

I have deployed something that will hopefully fix this, please confirm.

aaron added a comment.Via ConduitOct 5 2011, 8:22 PM

Fixed in r99043. Live.

Purge now works on that file page on commons too.

MarkAHershberger added a comment.Via ConduitOct 15 2011, 10:03 PM

tagging bugs for Marcus to look at

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:19 PM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 2 2014, 8:56 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.